@media (max-width: 1850px) {
    .running-line-item p {
        font-size: 26px;
    }
}

@media (max-width: 1520px) {
    .running-line-item p {
        font-size: 24px;
    }
}

@media (max-width: 1420px) {
    .running-line-item p {
        font-size: 22px;
    }
}

@media (max-width: 1320px) {
    .running-line-item p {
        font-size: 20px;
    }
}

@media (max-width: 1220px) {
    .running-line-item p {
        font-size: 18px;
    }
}

@media (max-width: 1120px) {
    .running-line-item p {
        font-size: 16px;
    }
}

@media (max-width: 1024px) {
    header .container {
        padding: 0px;
        padding-left: 20px;
        padding-top: 10px;
        padding-bottom: 10px;
        justify-content: unset;
    }

    .container {
        padding: 0 20px;
    }

    .main-screen {
        padding-top: 20px;
        padding-bottom: 0;
    }
    .main-screen .gradient-button {
        position: relative;
        left: 50%;
        transform: translateX(-50%);
    }

    .main-screen__left-side {
        max-width: 500px;
        margin: 0 auto;
    }

    .header__left-side-text {
        font-size: 35px;
    }

    .header__left-side-wrapper {
        margin-right: 30px;
    }

    .header__center {
        justify-content: flex-start;
    }

    .header__third-column {
        justify-content: flex-start;

    }

    .header__fourth-column {
        justify-content: flex-start;
        margin-left: 20px;
    }

    .main-screen__subtitle {
        width: 70%;
        line-height: 1.6em;
        margin-left: auto;
        margin-right: auto;
        margin-top: 26px;
        margin-bottom: 41px;
    }

    .main-screen .container {
        flex-direction: column;
    }

    .main-screen__title,
    .main-screen__subtitle {
        text-align: center;
    }

    .main-screen__title {
        font-size: 40px;
        margin: 0;
    }

    .main-screen img {
        width: 75%;
    }

    .main-screen__bottom-bar {
        justify-content: center;
    }

    .main-screen__bottom-bar p {
        text-align: center;
    }

    .main-screen__button-row {
        max-width: 750px;
        margin: 0 auto;
    }

    .main-screen__bottom-bar {
        flex-direction: column;
        gap: 13px;
    }

    .main-screen__bottom-bar .accent-span {
        display: block;
        width: auto;
        margin: 0 auto;
    }

    .main-screen__bottom-bar {
        max-width: 100%;
        margin-top: 50px;
    }

    .main-screen__bottom-bar {
        flex-direction: row;
        padding-top: 0;
        margin-top: 30px;
    }

    .main-screen__bottom-bar p,
    .main-screen__bottom-bar span {
        width: auto !important;
        margin: unset !important;
    }


    /* running line */
    .running-line-item p {
        font-size: 20px;
        margin-top: 10px;
        margin-bottom: 10px;
    }

    .running-line-item:nth-of-type(6),
    .running-line-item:nth-of-type(3) {
        display: none;
    }

    .running-line-item {
        display: flex;
        justify-content: center;
        min-width: 50%;
        max-width: 50%;
    }

    @keyframes marquee {
        0% {
            transform: translateX(0);
        }

        100% {
            /* Сдвигаем на ширину 6 элементов */
            transform: translateX(calc(calc(50% * 2) * -1));
        }
    }

    /* running line */

    /*popular questions*/
    .popular-questions {
        padding-bottom: 80px;
    }
    .popular-questions__title {
        margin-top: 10px;
    }
    .popular-questions .gradient-button {
        margin-top: 65px;
    }
    /*popular questions*/

    /* problem solving */
    .problem-solving .container {
        padding-left: 30px;
        padding-right: 30px;
    }

    .problem-solving-title {
        font-size: 41px;
        margin-top: 0px;
        margin-bottom: 20px;
    }

    .problem-solve__title {
        font-size: 27px;
        line-height: 29px;
    }

    .problem-solve__description {
        font-size: 18px;
        line-height: 23px;
        margin-top: 18px;
        margin-bottom: 18px;
    }

    .problem-solve:nth-of-type(3) .problem-solve__title,
    .problem-solve:nth-of-type(1) .problem-solve__title {
        margin-top: 0px;
    }

    .problem-solve:nth-of-type(1) .problem-solve__image {
        margin-top: 31px;
    }

    .problem-solve:nth-of-type(3) .problem-solve__image {
        margin-top: 0px;
    }

    /* problem solving */

    /* progress */
    .usage-step-label,
    .usage-steps-left {
        display: none;
    }

    .usage-steps {
        display: flex;
        gap: 20px;
    }

    .usage-step__label,
    .usage-steps-right .usage-step:nth-of-type(1),
    .usage-steps-right .usage-step:nth-of-type(4) {
        display: block;
    }

    .usage-step__title {
        margin: 25.527px 0;
    }

    .usage-progress__title {
        font-size: 45px;
        margin-top: 80px;
    }

    /* progress */

    /* for whom*/
    .form-whom__cards {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr;
    }

    .form-whom__card {
        width: 100%;
    }

    .for-whom__title {
        font-size: 45px;
    }

    .for-whom__subtitle {
        font-size: 18px;
        line-height: 23px;
    }

    .for-whom {
        margin-top: 80px;

    }
    .for-whom .container {
        padding-top: 80px !important;
        padding-bottom: 80px !important;
    }

    /* for whom*/

    /* footer */
    .social-icons {
        padding: 0;
    }

    footer .container {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 20px;
    }

    .footer__logo {
        font-size: 35px;
    }

    .footer__text {
        line-height: 1.6em;
        width: 70%;
        text-align: center;
    }

    .footer__text {
        margin-bottom: 0;
    }

    .footer__right,
    .footer__center,
    .footer__left {
        width: 100%;
        padding-left: 0;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    /* footer */


    /* tariffs */
    .tariffs .container {
        padding-top: 80px !important;
        padding-bottom: 50px !important;
        padding-left: 10px !important;
        padding-right: 10px !important;
    }

    .tariffs__title {
        font-size: 40px;
    }

    .tariffs__text {
        font-size: 18px;
        line-height: 23px;
        padding-top: 18px;
        padding-bottom: 18px;
        margin-bottom: 30px;
    }

    .tariffs__list {
        padding: 0;
    }

    /* tariffs */

    /* tariff */
    .tariff {
        padding: 0;
    }

    .tariff__title {
        margin-top: 0;
        font-size: 28px;
    }

    .tariff__subtitle {
        font-size: 18px;
        line-height: 20px;
    }

    .tariff__benefit {
        font-size: 18px;
        line-height: 27px;
    }

    .tariff .gradient-button {
        padding-top: 15px;
        padding-bottom: 15px;
        padding-left: 25px;
        padding-right: 25px;
        font-size: 16px;
    }

    .tariff__label {
        padding-top: 5px;
        padding-bottom: 5px;
    }

    .tariff__price {
        font-size: 38px;
    }

    .tariff__currency,
    .tariff__period {
        font-size: 15px;
    }

    /* tariff */

    /* knowledge */
    .knowledge .container {
        padding-bottom: 50px;
        padding-top: 30px;
    }
    /* knowledge */

}

@media (min-width: 768px) and (max-width: 1024px) {
    .header__left-side-wrapper {
        flex-basis: 25%;

    }

    .header__left-side-text {
        text-align: center;
    }

    .header__right-side-wrapper {
        flex-basis: 75%;
        justify-content: space-around;
    }

    .header__left-side-wrapper {
        width: 22.989%;
        justify-content: center;
    }

    .header__center {
        width: 23.277%;
    }

    .header__third-column {
        width: 16%;
    }

    .header__fourth-column {
        width: 15%;
    }

    /* main-screen */

    /* main-screen */
}

@media (max-width: 767px) {
    .container {
        padding: 20px 15px !important;
        padding-left: 10px !important;
        padding-bottom: 22.5px !important;
    }

    .header__right-side-wrapper,
    header>.container {
        flex-direction: column;
    }

    .container,
    .header__right-side-wrapper {
        display: flex;
        align-items: center;
    }

    .header__right-side-wrapper {
        flex-basis: 75%;
        justify-content: space-around;
    }

    .header__left-side-wrapper {
        justify-content: center;
    }

    .header__center {
        width: auto;
    }

    .header__third-column {
        width: 159.63px;
    }
    .header__third-column .transparent-button {
        width: 100%;
        text-align: center;
        padding-top: 5px;
    }

    .header__fourth-column {
        width: auto;
    }

    .header__left-side-wrapper {
        margin: 0;
    }



    .main-screen {
        padding: 0;
    }

    .main-screen__title {
        font-size: 28px;
        line-height: 1.2em;
    }

    .main-screen__right-side .row:first-of-type {
        flex-direction: column;
        gap: 19px;
    }
    .main-screen .gradient-button {
        font-size: 16px;
        line-height: 1.2;
        padding-top: 10px;
        padding-bottom: 10px;
    }

    .main-screen__subtitle {
        font-size: 16px;
        margin-top: 22px;
        margin-bottom: 26px;
        width: 100%;
    }

    .main-screen__bottom-bar {
        flex-direction: column;
        align-items: center;
    }

    /* running line */
    .running-line-item p {
        font-size: 18px;
    }

    .running-line-item {
        display: flex;
        justify-content: center;
        min-width: 50%;
        max-width: 50%;
    }

    @keyframes marquee {
        0% {
            transform: translateX(0);
        }

        100% {
            /* Сдвигаем на ширину 6 элементов */
            transform: translateX(calc(50% * 2 * -1));
        }
    }

    /* running line */

    /* problem solving */

    .problem-solve {
        gap: 19px;
    }
    .problem-solving .container {
        flex-direction: column;
        padding-right: 10px !important;
        padding-top: 19px !important;
    }

    .problem-solving-title {
        font-size: 28px;
        margin-bottom: 10px;
        line-height: 1.2em;
    }
    .problem-solve__description {
        margin: 0;
        font-size: 15px;
        line-height: 20px;
        margin-bottom: 4px;
    }

    .problem-solve-list {
        flex-direction: column;
    }

    .problem-solve__title {
        margin-top: -15px;
        font-size: 20px;
        line-height: 25px;
    }

    .problem-solve__title br {
        display: none;
    }

    .problem-solve:nth-of-type(2) .problem-solve__image {
        order: unset;
    }

    .problem-solve:nth-of-type(2) .problem-solve__title {
        order: unset;
        margin-top: 0;
    }

    .problem-solve:nth-of-type(2) .problem-solve__description {
        order: unset;
    }

    .problem-solve:nth-of-type(1) .problem-solve__image {
        margin-top: 0;
    }

    /* problem solving */


    /* usage progress */
    .usage-progress .container {
        flex-direction: column;
        padding-right: 15px !important;
        padding-bottom: 0 !important;
    }

    .usage-progress__title {
        font-size: 28px;
        line-height: 1.2em;
        margin-top: 20px;
        margin-bottom: 25px;
    }
    .usage-steps {
        padding-bottom: 15px;
    }

    /* usage progress */

    /* for whom*/
    .for-whom {
        margin-top: 17.5px;
    }

    .for-whom__title {
        font-size: 28px;
        line-height: 1.2em;
    }

    .form-whom__cards {
        flex-direction: column;
    }

    .form-whom__card {
        width: 100%;
    }

    .form-whom__card-title {
        font-size: 24px;
        line-height: 27px;
        letter-spacing: 0.2px;
    }
    .for-whom__subtitle {
        margin-top: 0px;
        margin-bottom: 5px;
    }

    .for-whom .gradient-button {
        font-size: 16px;
        line-height: 1.2;
        padding-top: 10px;
        padding-bottom: 10px;
        margin-top: 15px;
    }

    .form-whom__card-text {
        font-size: 16px;
        width: 100%;
        margin-bottom: 48px;
        margin-top: 32px;
    }

    .for-whom .container {
        padding-top: 40px !important;
        padding-bottom: 50px !important;
    }

    /* for whom*/

    /* footer */
    .footer__logo {
        font-size: 30px;
    }

    .footer__text {
        font-size: 16px;
        margin-bottom: 0px;
        text-wrap: nowrap;
    }

    .footer__link {
        font-size: 18px;
        text-wrap: nowrap;
    }
    
    .footer__copyright {
        padding-top: 15px;
        padding-bottom: 17.5px;
    }

    /* footer */

    .form-whom__cards {
        display: flex;
        grid-template-columns: none;
        grid-template-rows: none;
    }


    /* tariffs */
    .tariffs__title {
        font-size: 28px;
        line-height: 1.2em;
    }

    .tariffs .container {
        flex-direction: column;
        padding-top: 35px !important;
        padding-bottom: 40px !important;
    }
    .tariffs__text {
        padding-bottom: 10px;
        margin-bottom: 20px;
    }

    .tariffs__list {
        flex-direction: column;
    }

    /* tariffs */

    /* tariff */

    .tariff {
        width: 100%;
    }

    .tariff:not(:first-of-type) .tariff__title {
        margin-top: 25px;
    }
    .tariff__title {
        font-size: 26px;
        padding-bottom: 6.5px;
    }
    .tariff__subtitle {
        padding-bottom: 17.5px;
        margin-bottom: 0;
    }
    .tariff__label {
        margin-bottom: 17.5px;
    }
    .tariff__benefits {
        margin-bottom: 17.5px;
    }


    /* tariff */
    /* popular qeustions */
    .popular-questions {
        padding-top: 0;
        padding-bottom: 35px;
    }
    .popular-questions .container {
        padding-top: 0 !important;
    }
    .popular-questions__title {
        margin-top: 0;
        margin-bottom: 35px;
    }
    .popular-questions .gradient-button {
        margin-top: 60px;
        font-size: 14px;
        padding: 16px 28px 16px 28px;
        position: unset;
        left: unset;
        transform: unset;
    }
    /* popular questions */

    /* knowledge */
    .knowledge .container {
        padding-bottom: 50px !important;
        padding-top: 30px !important;
        flex-direction: column;
    }
    /* knowledge */

    .running-line-wrapper {
        animation: marquee 13.33s linear infinite;
    }

    .accordeon-item.active {
        padding-bottom: 0;
    }
    .popular-questions .gradient-button {
        margin-top: 35px;
    }

    .ai-chat-widget-wrapper {
        right: 32px !important;
        bottom: 30px !important;
    }
    .ai-chat-widget-tooltip {
        padding-top: 10px;
        padding-bottom: 10px;
        top: -51px;
    }
    .ai-chat-widget-tooltip-close {
        width: 20px;
        height: 20px;
    }
    .ai-chat-widget-tooltip-close svg {
        width: 14px;
        height: 14px;
    }
}

@media (max-width: 667px) {
    .running-line-item p {
        font-size: 14px;
    }
}

@media (max-width: 567px) {
    .running-line-item p {
        font-size: 20px;
    }

    .running-line-item {
        display: flex;
        justify-content: center;
        min-width: 100%;
        max-width: 100%;
    }

    .running-line-item:nth-of-type(5),
    .running-line-item:nth-of-type(2) .running-line-item:nth-of-type(6),
    .running-line-item:nth-of-type(3) {
        display: none;
    }

    @keyframes marquee {
        0% {
            transform: translateX(0);
        }

        100% {
            /* Сдвигаем на ширину 6 элементов */
            transform: translateX(calc(calc(100% * 1) * -1));
        }
    }
}

@media (max-width: 467px) {
    .running-line-item p {
        font-size: 20px;
    }
    .running-line-item {
        min-width: 120%;
    }
    @keyframes marquee {
        0% {
            transform: translateX(0);
        }

        100% {
            transform: translateX(calc(calc(120% * 1) * -1));
        }
    }
}

@media (max-width: 420px) {
    .usage-step__label {
        font-size: 36px;
    }

    .usage-step__title {
        font-size: 28px;
    }

    .usage-step__description {
        font-size: 20px;
    }
}

@media (max-width: 360px) {
    .running-line-item p {
        font-size: 20px;
    }

    .running-line-item {
        display: flex;
        justify-content: center;
        min-width: 110%;
        max-width: 110%;
    }

    @keyframes marquee {
        0% {
            transform: translateX(0);
        }

        100% {
            /* Сдвигаем на ширину 6 элементов */
            transform: translateX(calc(calc(110% * 1) * -1));
        }
    }

    .usage-step__label {
        font-size: 30px;
    }

    .usage-step__title {
        font-size: 22px;
    }

    .usage-step__description {
        font-size: 16px;
    }
}
